# CreateStaticLibrary

API Documentation: | `CreateStaticLibrary`

Note: This class is incubating and may change in a future version of Gradle.

Assembles a static library from object files.

### Properties

Property | Description
`outputFile` | Incubating The file where the output binary will be located.
`source` | Incubating The source object files to be passed to the archiver.
`staticLibArgs` | Incubating Additional arguments passed to the archiver.
`toolChain` | Incubating The tool chain used for creating the static library.

### Property details

#### `File` `outputFile`

Note: This property is incubating and may change in a future version of Gradle.

The file where the output binary will be located.

#### `FileCollection` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source object files to be passed to the archiver.

#### ``List`<`String`>` `staticLibArgs`

Note: This property is incubating and may change in a future version of Gradle.

Additional arguments passed to the archiver.

#### `ToolChain` `toolChain`

Note: This property is incubating and may change in a future version of Gradle.

The tool chain used for creating the static library.

### Script blocks

No script blocks

### Methods

Method | Description
`source(source)` | Incubating Adds a set of object files to be linked.

### Method details

#### `void` `source`(`Object` source)

Note: This method is incubating and may change in a future version of Gradle.

Adds a set of object files to be linked.

The provided source object is evaluated as per `Project.files()`.